Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.saxon.javax.xml.xquery
Interface XQMetaData

    public interface XQMetaData

XQJ interfaces reconstructed from version 0.5 documentation

Method Summary
`int` | `getMaxExpressionLength()`
`int` | `getMaxUserNameLength()`
`int` | `getProductMajorVersion()`
`int` | `getProductMinorVersion()`
`String` | `getProductName()`
`String` | `getProductVersion()`
`String` | `getUserName()`
`int` | `getXQJMajorVersion()`
`int` | `getXQJMinorVersion()`
`String` | `getXQJVersion()`
`boolean` | `isCollectionNestingSupported()`
`boolean` | `isFullAxisFeatureSupported()`
`boolean` | `isModuleFeatureSupported()`
`boolean` | `isReadOnly()`
`boolean` | `isSchemaImportFeatureSupported()`
`boolean` | `isSchemaValidationFeatureSupported()`
`boolean` | `isSerializationFeatureSupported()`
`boolean` | `isStaticTypingExtensionsSupported()`
`boolean` | `isStaticTypingFeatureSupported()`
`boolean` | `isTransactionSupported()`
`boolean` | `isXQueryXSupported()`
`boolean` | `wasCreatedFromJDBCConnection()`

Method Detail

### getMaxExpressionLength

    int getMaxExpressionLength()

### getMaxUserNameLength

    int getMaxUserNameLength()

### getProductMajorVersion

    int getProductMajorVersion()

### getProductMinorVersion

    int getProductMinorVersion()

### getProductName

    String getProductName()

### getProductVersion

    String getProductVersion()

### getUserName

    String getUserName()

### getXQJMajorVersion

    int getXQJMajorVersion()

### getXQJMinorVersion

    int getXQJMinorVersion()

### getXQJVersion

    String getXQJVersion()

### isCollectionNestingSupported

    boolean isCollectionNestingSupported()

### isFullAxisFeatureSupported

    boolean isFullAxisFeatureSupported()

### isModuleFeatureSupported

    boolean isModuleFeatureSupported()

### isReadOnly

    boolean isReadOnly()

### isSchemaImportFeatureSupported

    boolean isSchemaImportFeatureSupported()

### isSchemaValidationFeatureSupported

    boolean isSchemaValidationFeatureSupported()

### isSerializationFeatureSupported

    boolean isSerializationFeatureSupported()

### isStaticTypingExtensionsSupported

    boolean isStaticTypingExtensionsSupported()

### isStaticTypingFeatureSupported

    boolean isStaticTypingFeatureSupported()

### isTransactionSupported

    boolean isTransactionSupported()

### isXQueryXSupported

    boolean isXQueryXSupported()

### wasCreatedFromJDBCConnection

    boolean wasCreatedFromJDBCConnection()

Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) Michael H. Kay. All rights reserved.